Woohoo! Pod2g says it's a "matter of days!"

complexcommunic

macrumors regular
Original poster
Feb 23, 2010
133
0
From Pod2g's blog:

Here are some news about the current work on the A5 research.

@planetbeing escaped from the sandbox with the help of @saurik. Thanks to their awesome work, there should be nothing left blocking for the A5 jailbreak.

Now it should be a matter of days. Still no precise ETA of course.

We all want this to be finished ASAP, we're getting tired!
 

Ksizzle9

macrumors 6502a
Apr 15, 2011
566
1
Wirelessly posted (Mozilla/5.0 (iPhone; CPU iPhone OS 5_0_1 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A405 Safari/7534.48.3)

Well, I have to say- my dog wouldn't let me sleep. Then I see this was posted one minute ago. Some of the better news I've heard all day.
 

jgunn

macrumors regular
Apr 7, 2008
175
0
if apple release the 5.1 update and won't sign the 5.01 anymore then are we all screwed.
 

TC25

macrumors 68020
Mar 28, 2011
2,201
0
Woohoo! A duplicate thread to this one! Woohoo!

You can never have too many threads that post content from pod2g's blog.
 

complexcommunic

macrumors regular
Original poster
Feb 23, 2010
133
0
Incorrect. If someone is at any other release than 5.01 and Apple stops signing 5.01, they will not be able to use a jb based on 5.0/5.01
You should update now, unless you are waiting for an unlock. If you only need a jailbreak, we already know that it will be for 5.0.1.
 

TriJetHero

macrumors 601
Oct 13, 2010
4,954
142
World
Ofcourse you could have posted your reaction in the already running thread, where this info is already posted....
 

complexcommunic

macrumors regular
Original poster
Feb 23, 2010
133
0
Ofcourse you could have posted your reaction in the already running thread, where this info is already posted....
Yeah yeah yeah yeah. This is an important milestone and the majority of visitors will be interested to read it. The majority is also not interested in reading the newest posts in that very large thread every day. If it were a less important post, like the last few pod2g has made on the blog, it would not warrant a new thread. But this does.
 

whiskeyvol

macrumors regular
Mar 14, 2011
201
0
Wirelessly posted (Mozilla/5.0 (iPhone; CPU iPhone OS 5_0_1 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A405 Safari/7534.48.3)

said it before, but people are naive to think that these guys haven't thought about 5.1 and its impending release. they aren't stupid.
 

complexcommunic

macrumors regular
Original poster
Feb 23, 2010
133
0
said it before, but people are naive to think that these guys haven't thought about 5.1 and its impending release. they aren't stupid.
Why is this even being debated? It's simple logic. 5.1 has not even been released yet. It would be impossible for them to release a 5.1 JB yet since they have only been able to work with 5.0.1 so far. Once they release the first JB, there will almost definitely be a new update for 5.1 and 5.2 and so on. But in the mean time, the JB will only be for 5.0.1. Case in point.
 

terraphantm

macrumors 68040
Jun 27, 2009
3,742
557
Pennsylvania
You should update now, unless you are waiting for an unlock. If you only need a jailbreak, we already know that it will be for 5.0.1.
Since MN has been working on it to some extent, I have hopes of a 5.0 JB. MN's own iPhone 4S is at 5.0 since he's working on the unlock too

The thing that will suck is that since we can't save and replay 4S SHSHs, if we install something that screws up the phone, we'll have to restore to 5.1 (and the JB will therefore be gone)
 

Netherscourge

macrumors 6502
Oct 11, 2011
329
0
if apple release the 5.1 update and won't sign the 5.01 anymore then are we all screwed.

If you are currently running iOS 5.0.1 on your 4S or your iPad2, it doesn't matter what Apple releases. Just don't update your device past 5.0.1
 

Dwalls90

macrumors 601
Feb 5, 2009
4,824
1,556
If you are currently running iOS 5.0.1 on your 4S or your iPad2, it doesn't matter what Apple releases. Just don't update your device past 5.0.1
And cross your fingers that your phone doesn't need replacement which comes with 5.1. I would be so thankful for a downgrade path too but I'm psyched that we at least get a jailbreak soon:D
 

Netherscourge

macrumors 6502
Oct 11, 2011
329
0
If Apple signs 5.1 before the 5.0.1 JB is released, it's very possible that the 5.0.1 JB method will work on 5.1 too - for the A5 devices at least.

I'm going to assume the A4 5.0.1 JB method will be patched in 5.1 though, since they already released it.
 

KentuckyHouse

macrumors 68020
Jan 29, 2010
2,229
54
Lexington, KY.
And cross your fingers that your phone doesn't need replacement which comes with 5.1. I would be so thankful for a downgrade path too but I'm psyched that we at least get a jailbreak soon:D
See, this is the rub that a lot of people aren't thinking about. While finally having a jailbreak will be amazing, if you don't have a way to downgrade, it could be just a temporary thing. Let me explain...

We've all installed something that didn't agree with our phones from Cydia. It happens. Normally, you'd just do a restore, select the firmware you want to be on (provided you had your shsh's for that firmware), then re-jailbreak.

But with the A5 devices, until they come up with a way to downgrade, if you have to do a restore, you can only restore to firmware that Apple is still signing. If the jailbreak is for 5.0.1 (or even 5.1) and 5.2 is out, thus 5.0.1 or 5.1 aren't being signed anymore, you won't be able to downgrade and won't be able to jailbreak (unless there's a jailbreak for 5.2, for example).

Just hope you don't run into any problems and need a restore. :D
 
Last edited:

Ksizzle9

macrumors 6502a
Apr 15, 2011
566
1
Wirelessly posted (Mozilla/5.0 (iPhone; CPU iPhone OS 5_0_1 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A405 Safari/7534.48.3)

There are a lot of JB tweaks out there that are very nice, but very few that I use on a regular basis. The ones I use on a regular basis are the ones that I trust the most as well as they are the ones that cause the least amount of problems. At this point, I would likely be satisfied with the only tweak on my phone being the cydia icon. That would be good feeling.
 

Dwalls90

macrumors 601
Feb 5, 2009
4,824
1,556
See, this is the rub that a lot of people aren't thinking about. While finally having a jailbreak will be amazing, if you don't have a way to downgrade, it could be just a temporary thing. Let me explain...

We've all installed something that didn't agree with our phones from Cydia. It happens. Normally, you'd just do a restore, select the firmware you want to be on (provided you had your shsh's for that firmware), then re-jailbreak.

But with the A5 devices, until they come up with a way to downgrade, if you have to do a restore, you can only restore to firmware that Apple is still signing. If they jailbreak is for 5.0.1 (or even 5.1) and 5.2 is out, thus 5.0.1 or 5.1 aren't being signed anymore, you won't be able to downgrade and won't be able to jailbreak (unless there's a jailbreak for 5.2, for example).

Just hope you don't run into any problems and need a restore. :D
Eek this is a good point. Almost forgot about that! I'm going to stick with only working tweaks until something else is figured out!
 

3bs

macrumors 603
May 20, 2011
5,430
23
Dublin, Ireland
Wirelessly posted (Mozilla/5.0 (iPhone; CPU iPhone OS 5_0_1 like Mac OS X) AppleWebKit/534.46 (KHTML, like Gecko) Version/5.1 Mobile/9A405 Safari/7534.48.3)

There are a lot of JB tweaks out there that are very nice, but very few that I use on a regular basis. The ones I use on a regular basis are the ones that I trust the most as well as they are the ones that cause the least amount of problems. At this point, I would likely be satisfied with the only tweak on my phone being the cydia icon. That would be good feeling.
Eek this is a good point. Almost forgot about that! I'm going to stick with only working tweaks until something else is figured out!
Can you guys list the apps you are sure work fine and won't cause any problems for the people with little or no experience like me. Thanks in advance
 

Mac.World

macrumors 68000
Jan 9, 2011
1,819
1
In front of uranus
Yeah yeah yeah yeah. This is an important milestone and the majority of visitors will be interested to read it. The majority is also not interested in reading the newest posts in that very large thread every day. If it were a less important post, like the last few pod2g has made on the blog, it would not warrant a new thread. But this does.
Anyone that is really interested, probably already get the tweets, which come out before anything is posted here.

----------

Can you guys list the apps you are sure work fine and won't cause any problems for the people with little or no experience like me. Thanks in advance
Download the source, repo.hackyouriphone.org/

Click on any one of his apps and you'll see a link to ios5 friendly apps inside. He has around 100 or so tweaks and apps.
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.